Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.synchronizeaftermerge
Class SynchronizeAfterMergeData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.synchronizeaftermerge.SynchronizeAfterMergeData

All Implemented Interfaces:
  StepDataInterface

    public class SynchronizeAfterMergeData

extends BaseStepData
implements StepDataInterface

Performs an insert/update/delete depending on the value of a field.

Since:
  13-10-2008
Author:
  Samatar

Field Summary
`List<Object[]>` | `batchBuffer`
`boolean` | `batchMode` Use batch mode or not?
`Map<String,Integer>` | `commitCounterMap`
`int` | `commitSize`
`org.pentaho.di.core.database.DatabaseMeta` | `databaseMeta`
`org.pentaho.di.core.database.Database` | `db`
`org.pentaho.di.core.row.RowMetaInterface` | `deleteParameterRowMeta`
`String` | `deleteValue`
`int` | `indexOfOperationOrderField`
`int` | `indexOfTableNameField`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `insertRowMeta`
`String` | `insertValue`
`int[]` | `keynrs`
`int[]` | `keynrs2`
`boolean` | `lookupFailure`
`org.pentaho.di.core.row.RowMetaInterface` | `lookupParameterRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `lookupReturnRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Map<String,PreparedStatement>` | `preparedStatements` Mapping between the SQL and the actual prepared statement.
`String` | `realSchemaName`
`String` | `realSchemaTable`
`String` | `realTableName`
`Savepoint` | `savepoint`
`boolean` | `specialErrorHandling`
`String` | `stringErrorKeyNotFound`
`String` | `stringFieldnames`
`org.pentaho.di.core.row.RowMetaInterface` | `updateParameterRowMeta`
`String` | `updateValue`
`int[]` | `valuenrs`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`SynchronizeAfterMergeData()` Default constructor.

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### db

    public org.pentaho.di.core.database.Database db

### keynrs

    public int[] keynrs

### keynrs2

    public int[] keynrs2

### valuenrs

    public int[] valuenrs

### indexOfTableNameField

    public int indexOfTableNameField

### indexOfOperationOrderField

    public int indexOfOperationOrderField

### preparedStatements

    public Map<String,PreparedStatement> preparedStatements

  Mapping between the SQL and the actual prepared statement. Normally this is only one, but in case we have more then one, it's convenient to have this.

### realTableName

    public String realTableName

### realSchemaName

    public String realSchemaName

### realSchemaTable

    public String realSchemaTable

### batchMode

    public boolean batchMode

  Use batch mode or not?

### insertValue

    public String insertValue

### updateValue

    public String updateValue

### deleteValue

    public String deleteValue

### stringErrorKeyNotFound

    public String stringErrorKeyNotFound

### stringFieldnames

    public String stringFieldnames

### lookupFailure

    public boolean lookupFailure

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### deleteParameterRowMeta

    public org.pentaho.di.core.row.RowMetaInterface deleteParameterRowMeta

### updateParameterRowMeta

    public org.pentaho.di.core.row.RowMetaInterface updateParameterRowMeta

### lookupParameterRowMeta

    public org.pentaho.di.core.row.RowMetaInterface lookupParameterRowMeta

### lookupReturnRowMeta

    public org.pentaho.di.core.row.RowMetaInterface lookupReturnRowMeta

### insertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface insertRowMeta

### commitCounterMap

    public Map<String,Integer> commitCounterMap

### commitSize

    public int commitSize

### databaseMeta

    public org.pentaho.di.core.database.DatabaseMeta databaseMeta

### specialErrorHandling

    public boolean specialErrorHandling

### savepoint

    public Savepoint savepoint

### batchBuffer

    public List<Object[]> batchBuffer

Constructor Detail

### SynchronizeAfterMergeData

    public SynchronizeAfterMergeData()

  Default constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD